# WOK
TKWOK
WOKStep

# WOKStep_ImportLibrary Class Reference

`#include <WOKStep_ImportLibrary.hxx>`

Inheritance diagram for WOKStep_ImportLibrary:

[legend]

## Public Member Functions

Standard_EXPORT | WOKStep_ImportLibrary (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aUnit, const Handle(TCollection_HAsciiString)&aCode, const Standard_Boolean checked, const Standard_Boolean hidden)
| creates a class instance
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT Handle_WOKBuilder_WNTCollector | ComputeTool ()
| computes build tool

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_ImportLibrary::WOKStep_ImportLibrary | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aUnit,
|  | const Handle(TCollection_HAsciiString)& | aCode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

Standard_EXPORT Handle_WOKBuilder_WNTCollector WOKStep_ImportLibrary::ComputeTool | ( |  | ) | `[protected, virtual]`

| Implements WOKStep_WNTCollect.

Standard_EXPORT const WOKStep_ImportLibrary::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKStep_WNTLibrary.

The documentation for this class was generated from the following file:

- WOKStep_ImportLibrary.hxx